Strona 1 z 1

[AutoCAD] obrót wielu tekstów

PostNapisane: wrz 14, 2017 22:51
przez xgregorxx
Witam
mam kilka tekstów w rysunku AutoCAD które mają różne wartości obrotu kąta. Chciałbym wszystkie obrócić o wartość 180 stopni, istnieje taka możliwość?
pozdrawiam

Re: [AutoCAD] obrót wielu tekstów

PostNapisane: lis 01, 2017 22:02
przez andkal
Można takim małym skryptem. Zapisz go w notatniku z rozszerzeniem LSP i przeciagnij do autocada. Komenda ROTXT obroci wszystkie wybrane obiekty typu TEXT o dodatkowe 180° kazdy z osobna.
Kod: Zaznacz cały
(defun c:ROTXT ( / sset1 rotat1 i1 curobj)
    (setq sset1 (ssget '((0 . "TEXT"))    ))
    (repeat (setq i1 (sslength sset1))
        (setq curobj (ssname sset1 (setq i1 (1- i1))))
        (setq curobj (vlax-ename->vla-object curobj))
        (setq rotat1 (vla-get-rotation curobj));kat w radianach
        (vla-put-rotation curobj (+ rotat1 pi) )
    );repeat
);defun

Re: [AutoCAD] obrót wielu tekstów

PostNapisane: lis 27, 2018 10:27
przez CADrysunki
Jeśli masz na myśli lustrzane odbicie tekstu IMIRRTEXT) to mozę coś takiego http://cadrysunki.pl/lustrzane-odbicie-tekstu/

Grzegorz Polak
https://cadrysunki.pl